package cn.com.usky.iot.entity;

import javax.persistence.*;
import java.sql.Date;
import java.sql.Timestamp;
import java.util.Objects;

@Entity
@Table(name = "ytiot_t_ef_analysis", schema = "ytIoT", catalog = "")
public class YtiotTEfAnalysis {
    private int id;
    private String companyCode;
    private String dataStatistics;
    private String dispersionRate;
    private String electricalAging;
    private String thermalAging;
    private String projectSituation;
    private String equipmentList;
    private String statisticalPeriod;
    private Timestamp creatTime;
    private String generationTime;

    @Basic
    @Column(name = "id")
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    @Basic
    @Column(name = "company_code")
    public String getCompanyCode() {
        return companyCode;
    }

    public void setCompanyCode(String companyCode) {
        this.companyCode = companyCode;
    }

    @Basic
    @Column(name = "data_statistics")
    public String getDataStatistics() {
        return dataStatistics;
    }

    public void setDataStatistics(String dataStatistics) {
        this.dataStatistics = dataStatistics;
    }

    @Basic
    @Column(name = "dispersion_rate")
    public String getDispersionRate() {
        return dispersionRate;
    }

    public void setDispersionRate(String dispersionRate) {
        this.dispersionRate = dispersionRate;
    }

    @Basic
    @Column(name = "electrical_aging")
    public String getElectricalAging() {
        return electricalAging;
    }

    public void setElectricalAging(String electricalAging) {
        this.electricalAging = electricalAging;
    }

    @Basic
    @Column(name = "thermal_aging")
    public String getThermalAging() {
        return thermalAging;
    }

    public void setThermalAging(String thermalAging) {
        this.thermalAging = thermalAging;
    }

    @Basic
    @Column(name = "project_situation")
    public String getProjectSituation() {
        return projectSituation;
    }

    public void setProjectSituation(String projectSituation) {
        this.projectSituation = projectSituation;
    }

    @Basic
    @Column(name = "equipment_list")
    public String getEquipmentList() {
        return equipmentList;
    }

    public void setEquipmentList(String equipmentList) {
        this.equipmentList = equipmentList;
    }

    @Basic
    @Column(name = "statistical_period")
    public String getStatisticalPeriod() {
        return statisticalPeriod;
    }

    public void setStatisticalPeriod(String statisticalPeriod) {
        this.statisticalPeriod = statisticalPeriod;
    }

    @Basic
    @Column(name = "creat_time")
    public Timestamp getCreatTime() {
        return creatTime;
    }

    public void setCreatTime(Timestamp creatTime) {
        this.creatTime = creatTime;
    }
    
    @Basic
    @Column(name = "generation_time")
    public String getGenerationTime() {
        return generationTime;
    }

    public void setGenerationTime(String generationTime) {
        this.generationTime = generationTime;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        YtiotTEfAnalysis that = (YtiotTEfAnalysis) o;

        if (id != that.id) return false;
        if (companyCode != null ? !companyCode.equals(that.companyCode) : that.companyCode != null) return false;
        if (dataStatistics != null ? !dataStatistics.equals(that.dataStatistics) : that.dataStatistics != null)
            return false;
        if (dispersionRate != null ? !dispersionRate.equals(that.dispersionRate) : that.dispersionRate != null)
            return false;
        if (electricalAging != null ? !electricalAging.equals(that.electricalAging) : that.electricalAging != null)
            return false;
        if (thermalAging != null ? !thermalAging.equals(that.thermalAging) : that.thermalAging != null) return false;
        if (projectSituation != null ? !projectSituation.equals(that.projectSituation) : that.projectSituation != null)
            return false;
        if (equipmentList != null ? !equipmentList.equals(that.equipmentList) : that.equipmentList != null)
            return false;
        if (statisticalPeriod != null ? !statisticalPeriod.equals(that.statisticalPeriod) : that.statisticalPeriod != null)
            return false;
        if (creatTime != null ? !creatTime.equals(that.creatTime) : that.creatTime != null) return false;
        if (generationTime != null ? !generationTime.equals(that.generationTime) : that.generationTime != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = id;
        result = 31 * result + (companyCode != null ? companyCode.hashCode() : 0);
        result = 31 * result + (dataStatistics != null ? dataStatistics.hashCode() : 0);
        result = 31 * result + (dispersionRate != null ? dispersionRate.hashCode() : 0);
        result = 31 * result + (electricalAging != null ? electricalAging.hashCode() : 0);
        result = 31 * result + (thermalAging != null ? thermalAging.hashCode() : 0);
        result = 31 * result + (projectSituation != null ? projectSituation.hashCode() : 0);
        result = 31 * result + (equipmentList != null ? equipmentList.hashCode() : 0);
        result = 31 * result + (statisticalPeriod != null ? statisticalPeriod.hashCode() : 0);
        result = 31 * result + (creatTime != null ? creatTime.hashCode() : 0);
        result = 31 * result + (generationTime != null ? generationTime.hashCode() : 0);
        return result;
    }
}
